Bug 7032 - Failure to reliably auto-boot with a serial console
Summary: Failure to reliably auto-boot with a serial console
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: lilo   
(Show other bugs)
Version: 6.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-15 23:50 UTC by Chris Siebenmann
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 18:47:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Siebenmann 1999-11-15 23:50:23 UTC
System: Dell PowerEdge 2300 server, dual CPUs, with a
serial console configured on /dev/ttyS0 at 9600 baud in
LILO and the kernel.

 After upgrading from RH 6.0 to 6.1, our system (running
the exact same kernel as before the upgrade, as we use a
custom kernel) developed an inability to consistently do
unattended reboots. If we left LILO boot the system via
its timeout, it would print:
	Loading <kernel version>...........
and then there would be a long string of ASCII NUL's dumped
out the serial port and nothing much would happen. (In some
experiments, the monitor would display the kernel hanging
right after the 'Console: colour VGA+ 80x25' line.) It
appears that if we explicitly hit return on the serial
console at the LILO promtp, the system would come up.

(It's hard to be precise on the diagnostics, because this
 is our production server and only reboots in situations
 where it needs to be up as soon as possible afterwards.)

 We reverted LILO back to lilo-0.21-6, the version from
RH 6.0, and in one test since then the problem has gone
away. (And the system was trouble-free until our upgrade
to 6.1.)

Comment 1 Cristian Gafton 2000-01-04 22:27:59 UTC
Assigned to dledford

Comment 2 Jeremy Katz 2002-06-04 04:54:11 UTC
Do you continue to see this problem with newer versions of Red Hat Linux?

Comment 3 Jeremy Katz 2002-06-29 21:47:55 UTC
Closing due to inactivity.  If you have further information, please reopen this bug.

Comment 4 Red Hat Bugzilla 2006-02-21 18:47:33 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.